import unittest
import utils

class TestFibonacci(unittest.TestCase):
    def fibonacci(self, optimization_level):
        utils.write_perf_to_file(
            'fibonacci', optimization_level,
            utils.run_perf_test(
                ["test_harness.alc", "fibonacci.alc", "primitives.alc", "jit.alc"],
                [20],
                optimization_level))

utils.define_perf_tests(TestFibonacci, TestFibonacci.fibonacci)
